Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706834 - media-tv/v4l-utils-1.16.6 : fails to build with -fno-common or gcc-10
Summary: media-tv/v4l-utils-1.16.6 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrey Utkin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:19 UTC by Toralf Förster
Modified: 2020-03-20 23:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.74 KB, text/plain)
2020-01-28 18:19 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,107.51 KB, text/plain)
2020-01-28 18:19 UTC, Toralf Förster
Details
environment (environment,70.42 KB, text/plain)
2020-01-28 18:19 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.11 KB, application/x-bzip)
2020-01-28 18:19 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,14.08 KB, application/x-bzip)
2020-01-28 18:19 UTC, Toralf Förster
Details
media-tv:v4l-utils-1.16.6:20200127-235812.log (media-tv:v4l-utils-1.16.6:20200127-235812.log,109.19 KB, text/plain)
2020-01-28 18:19 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.81 KB, application/x-bzip)
2020-01-28 18:19 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:19:10 UTC
libtool: link: x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/libdvbv5_la-compat-soname.o .libs/libdvbv5_la-crc32.o .libs/libdvbv5_la-countries.o .libs/libdvbv5_la-dvb-legacy-channel-format.o .libs/libdvbv5_la-dvb-zap-format.o .libs/libdvbv5_la-dvb-vdr-format.o .libs/libdvbv5_la-dvb-v5.o .libs/libdvbv5_la-parse_string.o .libs/libdvbv5_la-dvb-demux.o .libs/libdvbv5_la-dvb-dev.o .libs/libdvbv5_la-dvb-dev-local.o .libs/libdvbv5_la-dvb-fe.o .libs/libdvbv5_la-dvb-log.o .libs/libdvbv5_la-dvb-file.o .libs/libdvbv5_la-dvb-v5-std.o .libs/libdvbv5_la-dvb-sat.o .libs/libdvbv5_la-dvb-scan.o .libs/libdvbv5_la-descriptors.o tables/.libs/libdvbv5_la-header.o tables/.libs/libdvbv5_la-pat.o tables/.libs/libdvbv5_la-pmt.o tables/.libs/libdvbv5_la-nit.o tables/.libs/libdvbv5_la-sdt.o tables/.libs/libdvbv5_la-vct.o tables/.libs/libdvbv5_la-mgt.o tables/.libs/libdvbv5_la-eit.o tables/.libs/libdvbv5_la-cat.o tables/.libs/libdvbv5_la-atsc_eit.o tables/.libs/libdvbv5_la-mpeg_ts.o tables/.libs/libdvbv5_la-mpeg_pes.o tables/.libs/libdvbv5_la-mpeg_es.o descriptors/.libs/libdvbv5_la-desc_language.o descriptors/.libs/libdvbv5_la-desc_network_name.o descriptors/.libs/libdvbv5_la-desc_cable_delivery.o descriptors/.libs/libdvbv5_la-desc_sat.o descriptors/.libs/libdvbv5_la-desc_terrestrial_delivery.o descriptors/.libs/libdvbv5_la-desc_t2_delivery.o descriptors/.libs/libdvbv5_la-desc_service.o descriptors/.libs/libdvbv5_la-desc_frequency_list.o descriptors/.libs/libdvbv5_la-desc_event_short.o descriptors/.libs/libdvbv5_la-desc_event_extended.o descriptors/.libs/libdvbv5_la-desc_atsc_service_location.o descriptors/.libs/libdvbv5_la-desc_hierarchy.o descriptors/.libs/libdvbv5_la-desc_extension.o descriptors/.libs/libdvbv5_la-desc_isdbt_delivery.o descriptors/.libs/libdvbv5_la-desc_logical_channel.o descriptors/.libs/libdvbv5_la-desc_ts_info.o descriptors/.libs/libdvbv5_la-desc_partial_reception.o descriptors/.libs/libdvbv5_la-desc_ca.o descriptors/.libs/libdvbv5_la-desc_ca_identifier.o .libs/libdvbv5_la-dvb-dev-remote.o   -ludev -lm -lrt  -O2 -march=native -Wl,-O1 -Wl,--as-needed   -Wl,-soname -Wl,libdvbv5.so.0 -o .libs/libdvbv5.so.0.0.0
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libdvbv5_la-dvb-fe.o:(.bss+0x0): multiple definition of `delivery_system_name'; .libs/libdvbv5_la-dvb-v5.o:(.data.rel.local+0x280): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libdvbv5_la-dvb-fe.o:(.bss+0xa0): multiple definition of `dvb_v5_name'; .libs/libdvbv5_la-dvb-v5.o:(.data.rel.local+0x320): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Mon, 27 Jan 2020 23:06:20 +0000

emerge -qpvO media-tv/v4l-utils
[ebuild  N    ] media-tv/v4l-utils-1.16.6  USE="bpf opengl qt5"
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:19:13 UTC
Created attachment 606016 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:19:15 UTC
Created attachment 606018 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:19:19 UTC
Created attachment 606020 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:19:22 UTC
Created attachment 606022 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:19:25 UTC
Created attachment 606024 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:19:27 UTC
Created attachment 606026 [details]
media-tv:v4l-utils-1.16.6:20200127-235812.log
Comment 7 Toralf Förster gentoo-dev 2020-01-28 18:19:31 UTC
Created attachment 606028 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2020-03-20 23:08:16 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c327d152ca416ef1b6583cba873fbf0c1cab7a6

commit 7c327d152ca416ef1b6583cba873fbf0c1cab7a6
Author:     Andrey Utkin <andrey_utkin@gentoo.org>
AuthorDate: 2020-03-20 22:58:24 +0000
Commit:     Andrey Utkin <andrey_utkin@gentoo.org>
CommitDate: 2020-03-20 23:06:40 +0000

    media-tv/v4l-utils: patch for -fno-common bug
    
    Reused the patch already used for media-libs/libv4l.
    
    Applied to ebuilds 1.16.6 (last stable) and 1.18.0 (not stabilized).
    No revision bump as this is a trivial build failure treatment.
    
    Bug: https://bugs.gentoo.org/706834
    Package-Manager: Portage-2.3.66, Repoman-2.3.16
    Signed-off-by: Andrey Utkin <andrey_utkin@gentoo.org>

 .../files/v4l-utils-1.16.6-gcc10-fno-common.patch  | 68 ++++++++++++++++++++++
 media-tv/v4l-utils/v4l-utils-1.16.6.ebuild         |  4 +-
 media-tv/v4l-utils/v4l-utils-1.18.0.ebuild         |  2 +
 3 files changed, 73 insertions(+), 1 deletion(-)
Comment 9 Andrey Utkin gentoo-dev 2020-03-20 23:11:17 UTC
I think it's done now. Thanks all.